#
# spec file for package irqbalance (Version 0.55)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           irqbalance
License:        GNU General Public License (GPL)
Group:          System/Daemons
AutoReqProv:    on
PreReq:         %insserv_prereq
Version:        0.55
Release:        32.9.29
Summary:        Balance IRQs on SMP Machines
Source:         %{name}-%{version}.tar.bz2
Source1:        irqbalance.pod
Source2:        irq_balancer
Url:            http://www.irqbalance.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# xorg-x11-devel is for gccmakedep
BuildRequires:  glib2-devel perl xorg-x11-devel
Patch0:         irqbalance-fix-Makefile
Patch1:         irqbalance-ethtool

%description
irqbalance dynamically switches the CPUs for IRQs to prevent cpu0 from
being used for all IRQs.



Authors:
--------
    Arjan van de Ven <arjanv@redhat.com>

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -fPIE -pie"
cp %{SOURCE1} .
pod2man --release=0.5.5 --center=irqbalance irqbalance.pod irqbalance.1
gzip irqbalance.1

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0755 irqbalance $RPM_BUILD_ROOT/%{_sbindir}
install -m 0755 $RPM_SOURCE_DIR/irq_balancer $RPM_BUILD_ROOT/etc/init.d
ln -s /etc/init.d/irq_balancer $RPM_BUILD_ROOT/%{_sbindir}/rcirq_balancer
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 0644 irqbalance.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal irq_balancer

%post
%insserv_force_if_yast irq_balancer

%postun
%restart_on_update irq_balancer
%insserv_cleanup

%files
%defattr(-,root,root,-)
%{_sbindir}/irqbalance
/etc/init.d/irq_balancer
%{_sbindir}/rcirq_balancer
%{_mandir}/man1/irqbalance.1.gz

%changelog
* Fri May 29 2009 trenn@suse.de
- Do not let irq_balancer reload and force-reload kill the balancer
  silently. Do a start stop for force-reload, print "not supported"
  for reload. bnc#497532
* Wed Nov  5 2008 bwalle@suse.de
- Don't start the irqbalance on IA64 SGI SN2 systems (bnc#441505).
* Tue Oct  9 2007 bwalle@suse.de
- update to version 0.55 because of NUMA awareness
  (FATE #302697)
* Thu Mar 15 2007 sf@suse.de
- update to version 0.13 to change license to GPL
  (see Bug 251139 - Status of SLED10 license review)
* Tue May 16 2006 sf@suse.de
- added irqbalance-assert.diff to completely fix
  bug #158186 (see changelog entry below)
* Tue May  9 2006 sf@suse.de
- increase MAX_INTERRUPTS  to 512 to avoid
  segfault (bug #158186)
* Wed May  3 2006 sf@suse.de
- modified startscript to start irqbalancing only on real SMP
  machines (multisocket) (bug #171500)
* Thu Feb  9 2006 ak@suse.de
- increase max number of cpus to 128 (#146945)
- install manpage
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Fri Sep  2 2005 ro@suse.de
- rcscript: ignore on machines with < 2 CPUs
* Tue Jun 21 2005 ro@suse.de
- build with fPIE/pie
* Mon Feb 16 2004 sf@suse.de
- update to 0.09
* Sat Sep 20 2003 kukuk@suse.de
- Add PreRequires for insserv
* Thu Sep  4 2003 ro@suse.de
- added stop_on_removal and restart_on_update
- changed insserv_and_fillup to insserv_force_if_yast
* Thu Sep  4 2003 sf@suse.de
- added %%insserv_and_fillup in %%post
  and %%insserv_cleanup in %%postun
* Thu Sep  4 2003 ak@suse.de
- update to version 0.6
- Clean up init script a bit
- Move initscript outside tar and mark as source
* Fri Mar 21 2003 sf@suse.de
- initial version 0.1
